Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.msv.grammar.relaxng.datatype
Class CompatibilityDatatypeLibrary

    java.lang.Object
      com.sun.msv.grammar.relaxng.datatype.CompatibilityDatatypeLibrary

All Implemented Interfaces:
  DatatypeLibrary

public class CompatibilityDatatypeLibrary
extends java.lang.Object
implements DatatypeLibrary

RELAX NG DTD compatibility datatype library. This implementation relies on Sun XML Datatypes Library. Compatibility datatypes library available through `http://relaxng.org/ns/compatibility/datatypes/1.0`.

Author:
  Kohsuke KAWAGUCHI

Field Summary
`static java.lang.String` | `namespaceURI` namespace URI of the compatibility datatypes library.

Constructor Summary
`CompatibilityDatatypeLibrary()`

Method Summary
`Datatype` | `createDatatype(java.lang.String name)`
`DatatypeBuilder` | `createDatatypeBuilder(java.lang.String name)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### namespaceURI

    public static final java.lang.String namespaceURI

  namespace URI of the compatibility datatypes library.

  See Also:
    Constant Field Values

Constructor Detail

### CompatibilityDatatypeLibrary

    public CompatibilityDatatypeLibrary()

Method Detail

### createDatatype

    public Datatype createDatatype(java.lang.String name)
                            throws DatatypeException

  Specified by:
    `createDatatype` in interface `DatatypeLibrary`
  Throws:
    `DatatypeException`

### createDatatypeBuilder

    public DatatypeBuilder createDatatypeBuilder(java.lang.String name)
                                          throws DatatypeException

  Specified by:
    `createDatatypeBuilder` in interface `DatatypeLibrary`
  Throws:
    `DatatypeException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD